from tkinter import *
from tkinter.ttk import * # Uuema väljanägemisega GUI vidinad
from turtle import TurtleScreen, RawTurtle

# Tekita rakendus
root = Tk()
root.title("Nuppudega konn")
# Määrame rea ja veeru indeksiga 0 kõige kaalukamateks
root.rowconfigure(index=0, weight=1)
root.columnconfigure(index=0, weight=1)

# Tekita lõuend, seo see root objektiga
c = Canvas(root)
# Lõuendi nähtavaks muutmiseks paigutame ta lahtrisse 0,0
c.grid(column=0, row=0, sticky=(N, S, W, E))
# Seo lõuendiga TurtleScreen ja seo TurtleScreeniga konn
ts = TurtleScreen(c)

def algseis():
    global konn
    ts.clear()
    ts.bgcolor('cyan')
    konn = RawTurtle(ts)
    konn.color('green')

algseis()

def edasi():
    konn.forward(kiirus.get())

def vasakule():
    konn.left(10)

def paremale():
    konn.right(10)


    
# Tekitame nuppude paneeli f
f = Frame(root)
f.grid(column=0, row=1)

# Tekita edasiliikumise nupp
b = Button(f, text="Edasi", command=edasi)
b.grid(column=0, row=0)

# Tekita vasakpöörde nupp
bv = Button(f, text="Vasakule", command=vasakule)
bv.grid(column=1, row=0)

# Tekita parempöörde nupp
bp = Button(f, text="Paremale", command=paremale)
bp.grid(column=2, row=0)

# Tekita muutuja kiirus ja sildiga tekstikast kiiruse sisestamiseks
kiirus = IntVar()
kiirus.set(100)
lbl_kiirus = Label(f, text="    Kiirus:   ")
lbl_kiirus.grid(column=3, row=0)
entry_kiirus = Entry(f, textvariable=kiirus)
entry_kiirus.grid(column=4, row=0)

# Tekita algseisu nupp
ba = Button(f, text="Algseis", command=algseis)
ba.grid(column=5, row=0)

# Käivita rakendus
root.mainloop()











